[android-components](../../index.md) / [mozilla.components.tooling.lint](../index.md) / [LintLogChecks](./index.md)

# LintLogChecks

`class LintLogChecks` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/tooling/lint/src/main/java/mozilla/components/tooling/lint/LintLogChecks.kt#L25)

Custom lint checks related to logging.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `LintLogChecks()`<br>Custom lint checks related to logging. |

### Functions

| Name | Summary |
|---|---|
| [getApplicableMethodNames](get-applicable-method-names.md) | `fun getApplicableMethodNames(): `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<`[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`>` |
| [visitMethod](visit-method.md) | `fun visitMethod(context: <ERROR CLASS>, node: <ERROR CLASS>, method: <ERROR CLASS>): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |

### Companion Object Properties

| Name | Summary |
|---|---|
| [issues](issues.md) | `val issues: `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<<ERROR CLASS>>` |
